' VBScript to Check Valid World
'   lines starting with an apostrophe are comments

' create Visual CADD object
set vcadd = CreateObject("VisualCADD.Application.9")

'   Check the current world:
'       The following code checks the current drawing world 
'       in order to make sure it is valid:

Dim tfValid

tfValid = vcadd.IsCurrentWorldValid()

If (tfValid = 0) Then
    MsgBox "Not a valid world", vbExclamation, "API Help Sample"

    '   Optional - stop tool from running
Else
    MsgBox "Valid world", vbInformation, "API Help Sample"
End If

' release Visual CADD object
set vcadd = Nothing
