' VBScript to Parse Expanded Entities
'   lines starting with an apostrophe are comments

Public Const CONTINUOUSLINE2D = 19

' create Visual CADD object
set vcadd = CreateObject("VisualCADD.Application.9")

'   used for messages
Dim sz

'   Parse the expanded list:
'       The routines to parse the list coincide with standard 
'       parsing methods of moving from the first item in the 
'       list to the next until the end of the list is 
'       reached:

'   setup a counter
Dim iCount
iCount = 0
        
'   start at the first expanded entity
Dim iKind
iKind = vcadd.FirstEntityExpand()

Do While (vcadd.GetErrorCode() = 0)
    '   your tool would do whatever processing is required
    '       for example, count the lines in the expanded 
    '       drawing
    If (iKind = CONTINUOUSLINE2D) Then
        iCount = iCount + 1
    End If

    iKind = vcadd.NextEntityExpand()
Loop

sz = "Continuous line count: " + CStr(iCount)
MsgBox sz, vbInformation, "API Help Sample"

' release Visual CADD object
set vcadd = Nothing
